| OpenZWave Library 1.6.0

Enumerations
DoorLock.cpp File Reference
`#include "command_classes/CommandClasses.h"`
`#include "command_classes/DoorLock.h"`
`#include "command_classes/WakeUp.h"`
`#include "Defs.h"`
`#include "Msg.h"`
`#include "Node.h"`
`#include "Driver.h"`
`#include "platform/Log.h"`
`#include "value_classes/ValueBool.h"`
`#include "value_classes/ValueByte.h"`
`#include "value_classes/ValueInt.h"`
`#include "tinyxml.h"`

## Enumerations
enum | DoorLockCmd { DoorLockCmd_Set = 0x01, DoorLockCmd_Get = 0x02, DoorLockCmd_Report = 0x03, DoorLockCmd_Configuration_Set = 0x04, DoorLockCmd_Configuration_Get = 0x05, DoorLockCmd_Configuration_Report = 0x06 }
enum | TimeOutMode { DoorLockConfig_NoTimeout = 0x01, DoorLockConfig_Timeout = 0x02 }
enum | DoorLockControlState { DoorLockControlState_Handle1 = 0x01, DoorLockControlState_Handle2 = 0x02, DoorLockControlState_Handle3 = 0x04, DoorLockControlState_Handle4 = 0x08 }
enum | ValueIDSystemIndexes { Value_Color = 0x00, Value_Color_Index = 0x01, Value_Color_Channels_Capabilities = 0x02, Value_Color_Duration = 0x03, Value_Lock = 0x00, Value_Lock_Mode = 0x01, Value_System_Config_Mode = 0x02, Value_System_Config_Minutes = 0x03, Value_System_Config_Seconds = 0x04, Value_System_Config_OutsideHandles = 0x05, Value_System_Config_InsideHandles = 0x06, Value_System_Config_MaxRecords = 0x00, Value_GetRecordNo = 0x01, Value_LogRecord = 0x02 }
enum | DoorLockState { DoorLockState_Unsecured = 0x00, DoorLockState_Unsecured_Timeout = 0x01, DoorLockState_Inside_Unsecured = 0x10, DoorLockState_Inside_Unsecured_Timeout = 0x11, DoorLockState_Outside_Unsecured = 0x20, DoorLockState_Outside_Unsecured_Timeout = 0x21, DoorLockState_Secured = 0xFF }

## Enumeration Type Documentation

## ◆ DoorLockCmd

enum DoorLockCmd

Enumerator
DoorLockCmd_Set |
DoorLockCmd_Get |
DoorLockCmd_Report |
DoorLockCmd_Configuration_Set |
DoorLockCmd_Configuration_Get |
DoorLockCmd_Configuration_Report |

## ◆ DoorLockControlState

enum DoorLockControlState

Enumerator
DoorLockControlState_Handle1 |
DoorLockControlState_Handle2 |
DoorLockControlState_Handle3 |
DoorLockControlState_Handle4 |

## ◆ DoorLockState

enum DoorLockState

Enumerator
DoorLockState_Unsecured |
DoorLockState_Unsecured_Timeout |
DoorLockState_Inside_Unsecured |
DoorLockState_Inside_Unsecured_Timeout |
DoorLockState_Outside_Unsecured |
DoorLockState_Outside_Unsecured_Timeout |
DoorLockState_Secured |

## ◆ TimeOutMode

enum TimeOutMode

Enumerator
DoorLockConfig_NoTimeout |
DoorLockConfig_Timeout |

## ◆ ValueIDSystemIndexes

enum ValueIDSystemIndexes

Enumerator
Value_Color |
Value_Color_Index |
Value_Color_Channels_Capabilities |
Value_Color_Duration |
Value_Lock |
Value_Lock_Mode |
Value_System_Config_Mode |
Value_System_Config_Minutes |
Value_System_Config_Seconds |
Value_System_Config_OutsideHandles |
Value_System_Config_InsideHandles |
Value_System_Config_MaxRecords |
Value_GetRecordNo |
Value_LogRecord |